import JSZip from 'jszip';
import { ISlide, RootPresTemplate, PresTemplate } from './types';
export default class Slide implements ISlide {
    sourceTemplate: PresTemplate;
    targetTemplate: RootPresTemplate;
    targetNumber: number;
    sourceNumber: number;
    targetArchive: JSZip;
    sourceArchive: JSZip;
    sourcePath: string;
    targetPath: string;
    modifications: Function[];
    relsPath: string;
    constructor(params: any);
    modify(callback: Function): void;
    setTarget(archive: JSZip, targetTemplate: RootPresTemplate): void;
    append(): Promise<void>;
    applyModifications(): Promise<void>;
    copySlideFiles(): Promise<void>;
    addSlideToPresentation(): Promise<void>;
    appendToSlideRel(rootArchive: JSZip, relId: string, slideCount: number): Promise<HTMLElement>;
    appendToSlideList(rootArchive: JSZip, relId: string): Promise<HTMLElement>;
    appendToContentType(rootArchive: JSZip, slideCount: number): Promise<HTMLElement>;
    copyRelatedContent(): Promise<void>;
}
